Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 716338 - x11-drivers/xf86-video-qxl-0.1.5: refresh ebuild, port to python3 and EAPI 7
Summary: x11-drivers/xf86-video-qxl-0.1.5: refresh ebuild, port to python3 and EAPI 7
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2020-04-05 14:42 UTC by David
Modified: 2021-02-13 23:55 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David 2020-04-05 14:42:08 UTC
xf86-video-qxl need python to run Xpsice script.

Upstream doesn't provide a new release but "master" branch contain a bunch of fixes and have merged python 3 support.

I have tested an updated ebuild that contain

- EAPI 7
- Python 3 support
- Fedora and Upstream fixes

see https://github.com/dguglielmi/sunny-overlay/tree/master/x11-drivers/xf86-video-qxl

Are you intersted in en MR ?

Reproducible: Always
Comment 1 Larry the Git Cow gentoo-dev 2021-02-13 23:55:23 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db3da557988e84d9eb824d32eedfb74c910421ce

commit db3da557988e84d9eb824d32eedfb74c910421ce
Author:     Piotr Karbowski <slashbeast@gentoo.org>
AuthorDate: 2021-02-13 23:53:58 +0000
Commit:     Piotr Karbowski <slashbeast@gentoo.org>
CommitDate: 2021-02-13 23:55:20 +0000

    x11-drivers/xf86-video-qxl: 2020-02-05 snapshot; py3; eapi7.
    
    Closes: https://bugs.gentoo.org/716338
    Signed-off-by: Piotr Karbowski <slashbeast@gentoo.org>

 x11-drivers/xf86-video-qxl/Manifest                |  1 +
 x11-drivers/xf86-video-qxl/metadata.xml            | 11 ++++--
 .../xf86-video-qxl-0.1.5_p20200205.ebuild          | 43 ++++++++++++++++++++++
 3 files changed, 51 insertions(+), 4 deletions(-)